### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »

# testing.parametric

## Module: `testing.parametric`

Parametric testing on top of twisted.trial.unittest.

## Functions

`IPython.testing.parametric.``Parametric`(cls)
  Register parametric tests with a class.

`IPython.testing.parametric.``parametric`(f)
  Mark f as a parametric test.

`IPython.testing.parametric.``partial`(f, *partial_args, **partial_kwargs)
  Generate a partial class method.

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »